#
# spec file for package perl-Business-ISMN
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Business-ISMN
Name:           perl-Business-ISMN
Version:        1.205.0
Release:        1.2
# 1.205 -> normalize -> 1.205.0
%define cpan_version 1.205
License:        Artistic-2.0
Summary:        Work with International Standard Music Numbers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRIANDFOY/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:  perl(Test::More) >= 1
BuildRequires:  perl(Tie::Cycle) >= 1.210
BuildRequires:  perl(version) >= 0.86
Requires:       perl(Tie::Cycle) >= 1.210
Provides:       perl(Business::ISMN) = %{version}
Provides:       perl(Business::ISMN::Data) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
work with International Standard Music Numbers

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples ismns.txt SECURITY.md
%license LICENSE

%changelog
* Mon Apr 14 2025 Tina Müller <timueller+perl@suse.de>
- updated to 1.205.0 (1.205)
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
  1.205 2025-04-13T22:56:31Z
  * require a newer version.pm for v5.10.1 tests
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Mon Feb 12 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.204
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
  1.204 2024-02-11T06:50:27Z
  * refresh distro, update email address, move to BRIANDFOY
* Fri Mar 17 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.203
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
  1.203 2023-03-16T11:10:05Z
  * Fix ean_to_ismn, which was not adding the M to the start.
* Wed Feb 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.202
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
  1.202 2021-02-16T12:43:17Z
  * Freshen distro, add Github Actions
* Thu Nov  8 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.201
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
  1.201 2018-10-18T15:27:35Z
  * Change publisher() to country() (because that's what it is).
  The old method names are still there but carp.
* Sun Jul 15 2018 coolo@suse.com
- updated to 1.132
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
* Tue Dec  6 2016 coolo@suse.com
- updated to 1.131
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.13
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
* Fri Jun 28 2013 coolo@suse.com
- initial package 1.11
  * created by cpanspec 1.78.06
